uk.gov.hmrc.mongo

# ReactiveRepository

###
Related Doc: package mongo

#### abstract class ReactiveRepository[A, ID] extends Indexes with MongoDb with CollectionName with CurrentTime

Linear Supertypes
CurrentTime, CollectionName, MongoDb, Indexes, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ReactiveRepository
2. CurrentTime
3. CollectionName
4. MongoDb
5. Indexes
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ReactiveRepository(collectionName: String, mongo: () ⇒ DB, domainFormat: Format[A], idFormat: Format[ID] = ...)

### Type Members

1. #### class BulkInsertRejected extends Exception

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val _Id: String

   Attributes
     protected

5. #### def _id(id: ID): JsObject

   Attributes
     protected

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def bulkInsert(entities: Seq[A])(implicit ec: ExecutionContext): Future[MultiBulkWriteResult]

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### lazy val collection: JSONCollection

10. #### val collectionName: String

    Attributes
      protected[uk.gov.hmrc.mongo]
    Definition Classes
      ReactiveRepository → CollectionName

11. #### def count(query: JsObject, readPreference: ReadPreference = ReadPreference.primary)(implicit ec: ExecutionContext): Future[Int]

12. #### def count(implicit ec: ExecutionContext): Future[Int]

13. #### implicit val domainFormatImplicit: Format[A]

14. #### def drop(implicit ec: ExecutionContext): Future[Boolean]

15. #### def ensureIndexes(implicit ec: ExecutionContext): Future[Seq[Boolean]]

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def find(query: (String, JsValueWrapper)*)(implicit ec: ExecutionContext): Future[List[A]]

20. #### def findAll(readPreference: ReadPreference = ReadPreference.primaryPreferred)(implicit ec: ExecutionContext): Future[List[A]]

21. #### def findAndUpdate(query: JsObject, update: JsObject, fetchNewObject: Boolean = false, upsert: Boolean = false, sort: Option[JsObject] = None, fields: Option[JsObject] = None, bypassDocumentValidation: Boolean = false, writeConcern: WriteConcern = WriteConcern.Default, maxTime: Option[FiniteDuration] = None, collation: Option[Collation] = None, arrayFilters: Seq[JsObject] = Nil)(implicit ec: ExecutionContext): Future[reactivemongo.play.json.commands.JSONFindAndModifyCommand.FindAndModifyResult]

22. #### def findById(id: ID, readPreference: ReadPreference = ReadPreference.primaryPreferred)(implicit ec: ExecutionContext): Future[Option[A]]

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

25. #### implicit val idFormatImplicit: Format[ID]

26. #### def indexes: Seq[Index]

    Definition Classes
      Indexes

27. #### def insert(entity: A)(implicit ec: ExecutionContext): Future[WriteResult]

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### val logger: Logger

    Attributes
      protected[this]

30. #### val message: String

31. #### val mongo: () ⇒ DB

    Attributes
      protected[uk.gov.hmrc.mongo]
    Definition Classes
      ReactiveRepository → MongoDb

32. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### final def notify(): Unit

    Definition Classes
      AnyRef

34. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

35. #### def remove(query: (String, JsValueWrapper)*)(implicit ec: ExecutionContext): Future[WriteResult]

36. #### def removeAll(writeConcern: WriteConcern = WriteConcern.Default)(implicit ec: ExecutionContext): Future[WriteResult]

37. #### def removeById(id: ID, writeConcern: WriteConcern = WriteConcern.Default)(implicit ec: ExecutionContext): Future[WriteResult]

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def toString(): String

    Definition Classes
      AnyRef → Any

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### def withCurrentTime[A](f: (DateTime) ⇒ A): A

    Definition Classes
      CurrentTime

44. #### lazy val zone: DateTimeZone

    Attributes
      protected
    Definition Classes
      CurrentTime

### Deprecated Value Members

1. #### def save(entity: A)(implicit ec: ExecutionContext): Future[WriteResult]

   Annotations
     @deprecated
   Deprecated

     (Since version 3.0.1) use ReactiveRepository#insert() instead

### Inherited from CurrentTime

### Inherited from CollectionName

### Inherited from MongoDb

### Inherited from Indexes

### Inherited from AnyRef

### Inherited from Any

### Ungrouped